Subject: [siprec] Comments on draft-ietf-siprec-callflows-06

From: Charles Armitage <[email-masked]>
Date: Wed, 8 Jun 2016 09:05:00 +0000

Hi,

Re: reviewing - draft-ietf-siprec-callflows-06

Mostly nits:

Page 1:

"This document lists call flows that has snapshot of metadata sent from a Session Recording Client to Session Recording  Server."

Try:
'This document lists call flows with metadata snapshots sent from a Session Recording Client to a Session Recording Server'

Page 2:

TOC:
"Turrent- Case: Multiple CS into single RS with mixed stream "

Should be:

"Turret- Case: Multiple CS into single RS with mixed stream"

1.       Overview:

"This document lists few examples  and shows the snapshots of metadata sent from a Session Recording Client..."

Missing 'a':
""This document lists few examples  and shows the snapshots of metadata sent from a Session Recording Client..."

"For the sake of simplicity the  entire Session Initiation Protocol (SIP) [RFC3261] messages are not shown at various points , instead only
   snippets of the SIP and Session Description Protocol (SDP)[RFC4566]  messages and the XML snapshot of metadata is shown."

Remove:

"at various points" - I don't think there is an example in the document with a full SIP message (if there are - there are very few).

Page 3:

3.1.  Sample Call flow

"The subsequent sections describes the snapshot of metadata  sent from SRC to SRS for each of the above transactions"

Try:
"The subsequent sections describe the snapshot of metadata  sent from SRC to SRS for each of the above transactions"
(note: describes to describe)

"There may be multiple UPDATES/RE-INVITES mid call to indicates snapshots of different CS changes.  "

Try:
"There may be multiple UPDATES/RE-INVITES mid call to indicate snapshots of different CS changes.  "
(note: indicates to indicate)

"The subsequent sections in this document tries to list some example metadata snapshots for  three major categories."

Try:
"The subsequent sections in this document try to list some example metadata snapshots for  three major categories."
(Note: tries to try)

"Special flows like Turrent  flows."

Should be:
"Special flows like Turret  flows."

3.2.  Call Scenarios with SRC recording streams with out  mixing

Should be:
3.2.  Call Scenarios with SRC recording streams without  mixing

"This section describes few  example flows where SRC can be a SIP-UA or  B2BUA as described in section 3 of [RFC7245]. "

Remove 'few'

"The  SRCs records the streams of each participant to SRS with out  mixing  in this example ."

With out should be without

Also try:
"In this example the SRCs records the streams of each participant to SRS without mixing."

Page 7:

3.2.2.  Example 2: Hold/resume

"A call between two participants Alice and Bob is established and a RS  is created for recording as in example1 . "

Example1 should be example 1.

Page 13

3.2.3.  Example 3:Call Transfer (RE-INVITE and REFER based)

"Please note this is a  optional message.  An SRC may choose to just send a  INVITE with a new session element to  implicitly indicate that the participants are now part of a different  CS with out sending disassociation from the old CS.  "

Try:

"Please note this is an optional message.  An SRC may choose to just send an INVITE with a new session element to  implicitly indicate that the participants are now part of a different  CS without sending disassociation from the old CS.  "

(Note: changes from 'a' to 'an' and 'with out' to 'without')

Page 15

3.2.3.  Example 3:Call Transfer (RE-INVITE and REFER based)

"The sipSessionID XML element in metadata snapshot now indicates Alice and Carol in the (local, remote) uuid pair."

Should Alice actually be Bob?

Page 18

"In this use case each participant call into a conference server (say, an MCU) to attend one of many conferences hosted on or managed  by that servers . "

Try:
"In this use case each participant calls  into a conference server  (say, an MCU) to attend one of many conferences hosted on or managed  by that server .  "

Note: 'call to 'calls' and 'servers' to 'server'

"Media streams sent by each participant is  received by all the other participants in the conference.  "

Try:
"Media streams sent by each participant are  received  by all the other participants in the conference.  "

Note: 'is' to 'are'

Page 21:

3.3.2.  Example 2: Hold/resume with SRC recording by mixing streams

"Assume  a call between two participants Alice and Bob is established and a RS is created for recording as in example 5.  This is the
   continuation of above use-case.   One of the participants  Bob puts Alice hold  and then resumes as part of the same CS.  The send and
   recv XML elements of a participant is  used to indicate whether a  participant is contributing or not to a media stream.  "

Try:

"This is the continuation of above use-case.  Given a call between two participants Alice and Bob is established and a RS is created for recording as in example 5. One of the participants, Bob puts Alice hold and then resumes as part of the same CS.  The send and recv XML elements of a participant are  used to indicate whether a  participant is contributing or not to a media stream.  "

Also replace 'above use-case. ' with 'Example 1: Basic call with SRC mixing streams' to remove the positional dependency

Page 24:

3.3.3.  Example 3: Metadata snapshot of joining/dropping of a  participant to a session

"The below shows  a snapshot sent from SRC to SRC in these  case.  Note the SRC here can be a focus  or a participant in the conference.  In case  where the SRC is a participant it may  learn the information required for metadata by subscribing to  conference event package [RFC4575].  "

Try:
"Below is a snapshot sent from SRC to SRC in this  case.  Note the SRC here can be a Focus  or a participant in the conference.  In the case  where the SRC is a participant it may  learn the information required for metadata by subscribing to  conference event package [RFC4575].  "

Note: Focus was capitalized in previous paragraphs.

Page 25:

"   Assume  Alice drops after some time from the conference.  SRC generates a new snapshot showing Alice disassociating from the  session"

Try:
" Given  Alice drops after some time from the conference.  SRC generates a new snapshot showing Alice disassociating from the  session"

Page 26:

<associate-time>2010-12-16T23:41:07Z</associate-time>
Should this be disassociate-time?

Page 27:

"The section shows the snapshots of metadata for the cases there  a  persistent RS exists between SRC and SRS.  "

Try:
"The section shows the snapshots of metadata for the cases where a  persistent RS exists between SRC and SRS.  "

"Except disconnect case, the  snapshot remains same as mentioned in previous sections."
Not sure what is meant here?
Perhaps:

"Except in the disconnect case, the  snapshot remains same as mentioned in previous sections."

Page 28:

<disasociate -time>2010-12-16T23:41:07Z</disassociate-time>
Should be:
<disassociate -time>2010-12-16T23:41:07Z</disassociate-time>

3.5.  Turrent -Case: Multiple CS into single RS with mixed stream
Should be:
3.5.  Turret -Case: Multiple CS into single RS with mixed stream

Page 29:

"Lets take  a example where there are two CS[CS1 and CS2].  "
Try:
"Taking an example where there are two CS [CS1 and CS2].  "

"In of the  CS(say CS1), SRC is Focus and in the other CS(say CS2),  SRC is just one of the participant of the conference."
Try:
"One of the CS (e.g. CS1), SRC is Focus and the other CS (e.g. CS2),  SRC is just one of the participant of the conference."

That's the lot. Like I say a lot of nits. Let me know if there is a better way of submitting comments.

Charles Armitage
Technical Lead

[http://www.redboxrecorders.com/email/redbox-email-sig.png]<http://www.redboxrecorders.com/>
Tel: +44 (0)115 937 7100
Bradmore Business Park, Loughborough Road, Bradmore, Nottingham, NG11 6QA, United Kingdom
[email-masked]<mailto:[email-masked]> |  www.redboxrecorders.com<http://www.redboxrecorders.com/>
[http://www.redboxrecorders.com/email/fb-logo-email.png]<https://www.facebook.com/redboxrecorders>[http://www.redboxrecorders.com/email/twitter-logo-email.png]<https://twitter.com/redboxrecorders> [http://www.redboxrecorders.com/email/link-logo-email.png] <https://www.linkedin.com/company/red-box-recorders>  [http://www.redboxrecorders.com/email/youtube-logo-email.png] <https://www.youtube.com/channel/UC_Z7j15zwvKIGMOqFJz5ubA>
This e-mail and any files transmitted with it contain information that may be confidential or privileged, and are intended solely for the use of the individual or entity to whom they are addressed. If you are not the intended recipient, be aware that any disclosure, copying, distribution or use of the information is prohibited and you are required to delete it from your systems. If you have received this e-mail in error, please notify us by e-mail immediately. Any opinions expressed are those of the author and do not necessarily represent the views of Red Box Recorders Limited. Registered office: Red Box Recorders Limited, Bradmore Business Park, Loughborough Road, Bradmore, Nottinghamshire NG11 6QA. Registered in England No.4186453.